NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
kvKeysList Struct Reference
Types

A list of KeyValue store keys. More...

`#include <nats.h>`

## Public Attributes
char ** | Keys
int | Count

## Detailed Description

Used by some APIs which return a list of key names.

Those APIs will not create the object, but instead initialize the object.

Typically, the user will define the object on the stack and pass a pointer to this object to APIs that require a pointer to a kvKeysList object.

Similarly, calling kvKeysList_Destroy will free key strings in the list, free the array containing pointers to the keys, but not free the kvKeysList object itself.

See also
  kvKeysList_Cleanup

## Member Data Documentation

## ◆ Keys

char** kvKeysList::Keys

## ◆ Count

int kvKeysList::Count

The documentation for this struct was generated from the following file:

- nats.h